import wx
import wx.media

class MFCD_Player(wx.media.MediaCtrl):
    def __init__(self, parent, id):
        wx.media.MediaCtrl.__init__(self, parent, id)
    
    def InitInfo(self, starttime, duration, leftAdd, rightAdd, file=None):
        self.starttime = starttime-leftAdd
        self.duration = duration+leftAdd+rightAdd
        self.endtime = starttime + duration
        self.filepath = file
        self.paused = False
    
    def SeekToStart(self, msec=0):
        self.Seek(self.starttime)
        
    def SeekToEnd(self, msec):
        self.Seek(self.endtime)