#!/usr/bin/env python
# -*- coding: UTF-8 -*-

import wx

class MFCD_Preferences:
    def __init__(self, filename="preferences.txt"):
        f = open(filename, "r")
        self.originalVideosFolder = f.readline().strip()
        self.segmentedVideosFolder = f.readline().strip()
        self.useLocalVideos = bool(int(f.readline().strip()))
        self.showSegmented = bool(int(f.readline().strip()))
        self.originalVideosFolderWeb = f.readline().strip()
        self.segmentedVideosFolderWeb = f.readline().strip()
        f.close()
        
    def SavePreferences(self, filename="preferences.txt"):
        f = open(filename, "w+")
        data = ""
        data = data + self.originalVideosFolder + "\n"
        data = data + self.segmentedVideosFolder + "\n"
        data = data + str(int(self.useLocalVideos)) + "\n"
        data = data + str(int(self.showSegmented)) + "\n"
        data = data + self.originalVideosFolderWeb + "\n"
        data = data + self.segmentedVideosFolderWeb + "\n"
        f.write(data)
        f.close()

if __name__ == "__main__":
    p = MFCD_Preferences()

    p.segmentedVideosFolder = u"G:\\deneme2"
    
    p.SavePreferences()
