#!/usr/bin/env python

import csv
import string
 
class MFCD_Reader:
    def __init__(self, filename):
        reader = csv.reader(open(filename, "r"))
        self.data = []
        for row in reader:
            if row == []: break
            tmp = []
            tmp.append(row[0])
            tmp.append(int(float(row[1])))
            tmp.append(int(float(row[2])))
            tmp.append(float(row[3]))
            self.data.append(tmp)
        self.data.sort()
        self.numOfFiles = len(self.data)

class MFCD_Data:
    def __init__(self):
        self.filename = ""
        self.starttime = 0
        self.duration = 0
        self.relevance = 1

def IsEmptyResult(file):
    f = open(file, "r")
    data = f.read()
    f.close
    for c in string.letters:
        if c in data:
            return False
    return True

if __name__ == '__main__':
    r = MFCD_Reader()
