#!/usr/bin/env python
import wx
import MFCD_Client

class serviceTimer(wx.Timer):
    def __init__(self, statusBar, client):
        wx.Timer.__init__(self)
        self.statusBar = statusBar
        self.client = client
        
    def Notify(self):
        if self.client.IsServiceAvailable() == True:
            self.statusBar.SetStatusText("Service Available", 1)
        else:
            self.statusBar.SetStatusText("Service Unavailable", 1)


